# Twitch chat bot

The bot listens for responses to `!quote add`, `!quote edit` and `!quote remove` commands, and updates the quotes database accordingly  
using [HTTP API](https://gitea.brno.mraveniste.cc/turbotraktor/ladylilia.com/src/branch/master/api/README.md).

## Supported commands

* `!lastquote` - requests the most recent quote  
* `!findquote PATTERN` - searches for quotes matching `PATTERN` and in case multiple matches are found, requests one of them randomly  
    - `PATTERN` has to be at least 3 characters long and it can be enclosed in double quotes in case it contains spaces
* `!sync [SINCE]` - performs synchronization of the quotes database with Twitch VODs recorded since `SINCE`  
    - if `SINCE` is not specified, date of the most recent quote is used  
    - only master user is allowed to use this command
